equation gq_lorenz.ls l*(1-l) (p*p-l) (l*(p-1)) (p-l)
scalar a=gq_lorenz.c(1)
scalar b=gq_lorenz.c(2)
scalar o=gq_lorenz.c(3)

' u average consumption
' z poverty line

scalar e=-(a+b+o+1)
scalar m=b^2-4*a
scalar n=2*b*e-4*o
scalar r=@sqrt(n^2-4*m*e^2)
scalar s1=(r-n)/(2*m)
scalar s2=-(r+n)/(2*m)
scalar h=-(1/(2*m))*(n+r*(b+2*z/u)*((b+2*z/u)^2-m)^(-1/2))
series GQ_P0=h
scalar lh=-1/2*(b*h+e+(m*h^2+n*h+e^2)^(1/2))
scalar pg=h-(u/z)*lh
series GQ_P1=pg
scalar p2=2*pg-h-(u/z)^2*(a*h+b*lh-(r/16)*@log((1-h/s1)/(1-h/s2)))
series Gq_P2=p2



equation beta_lorenz.ls l=p-c(1)*p^c(2)*(1-p)^c(3)

scalar th=beta_lorenz.c(1)
scalar ga=beta_lorenz.c(2)
scalar de=beta_lorenz.c(3)

equation beta_headcount.ls th*c(1)^ga*(1-c(1))^de*(ga/c(1)-de/(1-c(1)))=1-z/u
scalar b_h=beta_headcount.c(1)

scalar b_lh=b_h-th*b_h^ga*(1-b_h)^de
series Beta_P0=b_h
scalar b_pg=b_h-(u/z)*b_lh
series Beta_P1=b_pg
scalar b_p2=(1-u/z)*(2*b_pg-(1-u/z)*b_h)+th^2*(u/z)^2*(ga^2*@betainc(b_h,2*ga-1,2*de+1)*@beta(2*ga-1,2*de+1)-2*ga*de*@betainc(b_h,2*ga,2*de)*@beta(2*ga,2*de)+de^2*@betainc(b_h,2*ga+1,2*de-1)*@beta(2*ga+1,2*de-1))
series Beta_P2=b_p2
scalar b_gini=2*th*@beta(1+ga,1+de)

